List VPCs
curl --request GET \
--url https://api.cloud.onidel.com/network/vpcs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.onidel.com/network/vpcs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.onidel.com/network/vpcs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vpcs": [
{
"id": "f5a3e2d8-9876-4abc-1234-543210fedcba",
"name": "Production VPC",
"description": "VPC for production environment",
"date_created": "2024-01-15T10:30:00Z",
"status": "active",
"location": "sydney",
"v4_subnet": "10.0.0.0",
"v4_subnet_mask": "24",
"owner_team": {
"id": "c1d45377-b2a9-4407-ab8d-6909c34dfaac",
"name": "IT Development"
},
"teams": [
{
"id": "c1d45377-b2a9-4407-ab8d-6909c34dfaac",
"name": "IT Development"
}
],
"attached_vms_count": 5
}
]
}VPC
List VPCs
Retrieve all VPCs for a team
GET
/
network
/
vpcs
List VPCs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Team ID to filter VPCs. Default team will be used if not provided.
Filter VPCs by location
Response
Successful operation
Show child attributes
Show child attributes
⌘I